summaryrefslogtreecommitdiff
path: root/etc
diff options
context:
space:
mode:
authorAlasdair Armstrong2019-12-11 18:40:26 +0000
committerGitHub2019-12-11 18:40:26 +0000
commit7d23751f48f60404643f35389b5ca4c25c08695b (patch)
tree383ec6336de28cf6a31c38c905874af22ea278ea /etc
parentb48403b1b91ac355e50e7ede8164c3045b440dc4 (diff)
parent0c3ae8f4beea29f524247eea27884b07e0ec238e (diff)
Merge pull request #58 from Alasdair/sail2
Add github actions to build on macOS and ubuntu
Diffstat (limited to 'etc')
-rwxr-xr-xetc/ci_opam_build.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/etc/ci_opam_build.sh b/etc/ci_opam_build.sh
new file mode 100755
index 00000000..10af3e3c
--- /dev/null
+++ b/etc/ci_opam_build.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+set -eu
+
+opam init -y --no-setup --compiler=4.06.1 --shell=sh
+
+eval `opam config env`
+
+opam repository -y add rems https://github.com/rems-project/opam-repository.git
+opam pin -y add sail .
+opam install -y -v sail
+sail -v